/*---------------------------------------------------------------------------*
 * Operating Systems I                                                       *
 *---------------------------------------------------------------------------*
 *                                                                           *
 *                               L I S T                                     *
 *                                                                           *
 *---------------------------------------------------------------------------*/

#ifndef __List_include__
#define __List_include__

#include "object/queue.h"

/**
 * Implementation of a simple linked list.
 */
class List : public Queue {
public:
  Chain* first () { return head; }
  void insert_first (Chain* new_item);
  void insert_after (Chain* old_item, Chain* new_item);
};

#endif
